import random


def numero_aleatorio_con_probabilidad(rango, probabilidad_alta):
    # Generar un número aleatorio entre 0 y 1
    probabilidad = random.random()

    # Calcular el rango ajustado
    rango_ajustado = int(rango * probabilidad_alta)

    # Generar un número aleatorio ponderado
    numero = random.randint(0, rango_ajustado) if probabilidad < probabilidad_alta else random.randint(
        rango_ajustado, rango)

    return numero